Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Porting your applications to Qt/Embedded

Existing Qt applications should require no porting provided there is no platform dependent code. Platform dependent code includes system calls, calls to the underlying window system (Windows or X11), and Qt platform specific methods such as QApplication::x11EventFilter().

For cases where it is necessary to use platform dependent code there are macros defined that can be used to enable/disable code for each platform using `#ifdef` directives:

Platform | Macro
--- | ---
Qt/X11 | Q_WS_X11
Qt/Windows | Q_WS_WIN
Qt/Embedded | Q_WS_QWS

Qt/Embedded also requires the following flags to be defined when compiling applications:

    -DQWS -fno-exceptions -fno-rtti

Exceptions and RTTI are disabled in Qt/Embedded because they incur a large overhead in both size and speed.